<?php

namespace App\Enums;

enum UserRole: string
{
    case Admin = 'admin';
    case Coach = 'coach';
    case Athlete = 'athlete';

    public function label(): string
    {
        return match ($this) {
            self::Admin => 'مدیر کل',
            self::Coach => 'مربی',
            self::Athlete => 'ورزشکار',
        };
    }
}
